import { IdentityWallet } from 'jolocom-lib/js/identityWallet/identityWallet';
import { Storage } from "./lib/storage/storage";
import { KeyChainInterface } from "./polyfills/keychain";
import { ConnectionOptions } from 'typeorm';
import { JolocomRegistry } from 'jolocom-lib/js/registries/jolocomRegistry';
import { Identity } from 'jolocom-lib/js/identity/identity';
import { SoftwareKeyProvider } from 'jolocom-lib/js/vaultedKeyProvider/softwareProvider';
import { InteractionManager } from './lib/interactionManager/interactionManager';
export declare class BackendMiddleware {
    private _identityWallet;
    private _keyProvider;
    storageLib: Storage;
    keyChainLib: KeyChainInterface;
    registry: JolocomRegistry;
    interactionManager: InteractionManager;
    constructor(config: {
        fuelingEndpoint: string;
        typeOrmConfig: ConnectionOptions;
    });
    initStorage(): Promise<void>;
    get identityWallet(): IdentityWallet;
    get keyProvider(): SoftwareKeyProvider;
    prepareIdentityWallet(): Promise<IdentityWallet>;
    recoverIdentity(mnemonic: string): Promise<Identity>;
    createKeyProvider(encodedEntropy: string): Promise<void>;
    fuelKeyWithEther(): Promise<void>;
    createIdentity(): Promise<Identity>;
    private storeIdentityData;
}
