"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const routeList_1 = require("../routeList");
const strings_1 = tslib_1.__importDefault(require("../locales/strings"));
const index_1 = require("./errors/index");
exports.ErrorCode = index_1.ErrorCode;
exports.initErrorReporting = index_1.initErrorReporting;
exports.reportError = index_1.reportError;
class AppError extends Error {
    constructor(code = index_1.ErrorCode.Unknown, 
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    origError, navigateTo = routeList_1.routeList.AppInit) {
        super(strings_1.default[code] || strings_1.default[index_1.ErrorCode.Unknown]);
        this.code = code;
        this.origError = origError;
        this.navigateTo = navigateTo;
    }
}
exports.AppError = AppError;
exports.errorTitleMessages = [strings_1.default.DAMN, strings_1.default.OH_NO, strings_1.default.UH_OH];
