import { routeList } from "../../routeList";
import { ErrorCode } from './codes';
export { ErrorCode };
export interface IAppError {
    origError: any;
    navigateTo: routeList;
}
export interface UserReport {
    userError: string | undefined;
    userDescription: string;
    userContact: string;
    sendPrivateData: boolean;
}
export interface ErrorReport extends UserReport {
    error: IAppError | Error | undefined;
}
export declare enum BackendMiddlewareErrorCodes {
    NoEntropy = "NoEntropy",
    NoKeyProvider = "NoKeyProvider",
    NoWallet = "NoWallet",
    DecryptionFailed = "DecryptionFailed"
}
export declare class BackendError extends Error {
    static codes: typeof BackendMiddlewareErrorCodes;
    constructor(code: BackendMiddlewareErrorCodes);
}
