export declare type Ordering<T> = (t1: T, t2: T) => number;
export declare type Filter<T> = (t: T) => boolean;
declare type Transformation<T> = (list: T[]) => T[];
/**
 * @description - Builds one {@link Transformation} from an array {@link Ordering} or {@link Filter} functions
 * @param ts - List of functions used to order or filter the credential list
 * @returns - Function combining all order / filter operations passed in
 */
export declare const buildTransform: <T>(ts: (Filter<T> | Ordering<T>)[]) => Transformation<T>;
export {};
