"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const types_1 = require("jolocom-lib/js/interactionTokens/types");
const flow_1 = require("./flow");
const guards_1 = require("./guards");
class AuthenticationFlow extends flow_1.Flow {
    constructor(ctx) {
        super(ctx);
        this.state = { description: '' };
    }
    // TODO InteractionType.AuthenticaitonResponse should exist
    handleInteractionToken(token, interactionType) {
        switch (interactionType) {
            case types_1.InteractionType.Authentication:
                if (guards_1.isAuthenticationRequest(token))
                    return this.consumeAuthenticationRequest(token);
            default:
                throw new Error('Interaction type not found');
        }
    }
    consumeAuthenticationRequest(token) {
        return tslib_1.__awaiter(this, void 0, void 0, function* () {
            if (!this.state.description)
                this.state.description = token.description;
            return this.state.description === token.description;
        });
    }
}
exports.AuthenticationFlow = AuthenticationFlow;
