import { JWTEncodable } from 'jolocom-lib/js/interactionTokens/JSONWebToken';
import { InteractionType } from 'jolocom-lib/js/interactionTokens/types';
import { CredentialRequest } from 'jolocom-lib/js/interactionTokens/credentialRequest';
import { Interaction } from './interaction';
import { Flow } from './flow';
import { CredentialRequestFlowState } from './types';
export declare class CredentialRequestFlow extends Flow {
    state: CredentialRequestFlowState;
    constructor(ctx: Interaction);
    handleInteractionToken(token: JWTEncodable, interactionType: InteractionType): Promise<boolean>;
    private handleCredentialRequest;
    private handleCredentialResponse;
    getAvailableCredentials(request: CredentialRequest): Promise<{
        verifications: {
            id: string;
            issuer: {
                did: string;
            };
            selfSigned: boolean;
            expires: Date;
        }[];
        type: string;
        values: string[];
    }[]>;
}
