import { JSONWebToken, JWTEncodable } from 'jolocom-lib/js/interactionTokens/JSONWebToken';
import { Interaction } from './interaction';
import { BackendMiddleware } from '../../backendMiddleware';
import { InteractionChannel } from './types';
/***
 * - initiated inside BackendMiddleware
 * - has access to identityWallet / registry ?? (or should be inside Interaction)
 * - holds a map of all interactions:
 *    - {nonce: token or interaction instance} ??
 * - can start / end an interaction
 *
 */
export declare class InteractionManager {
    interactions: {
        [NONCE: string]: Interaction;
    };
    readonly backendMiddleware: BackendMiddleware;
    constructor(backendMiddleware: BackendMiddleware);
    start(channel: InteractionChannel, token: JSONWebToken<JWTEncodable>): Promise<Interaction>;
    getInteraction(id: string): Interaction;
}
