"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const interaction_1 = require("./interaction");
/***
 * - initiated inside BackendMiddleware
 * - has access to identityWallet / registry ?? (or should be inside Interaction)
 * - holds a map of all interactions:
 *    - {nonce: token or interaction instance} ??
 * - can start / end an interaction
 *
 */
class InteractionManager {
    constructor(backendMiddleware) {
        this.interactions = {};
        this.backendMiddleware = backendMiddleware;
    }
    start(channel, token) {
        return tslib_1.__awaiter(this, void 0, void 0, function* () {
            const interaction = new interaction_1.Interaction(this.backendMiddleware, // TODO Lift
            channel, token.nonce, token.interactionType);
            this.interactions[token.nonce] = interaction;
            yield interaction.processInteractionToken(token);
            return interaction;
        });
    }
    getInteraction(id) {
        return this.interactions[id];
    }
}
exports.InteractionManager = InteractionManager;
