"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const types_1 = require("jolocom-lib/js/interactionTokens/types");
const actions_1 = require("../../actions");
/**
 * @param Metadata should not need to be passed to credential receive because it comes from cred Offer
 * Furthermore, this only needs to be defined for requests
 */
exports.interactionHandlers = {
    [types_1.InteractionType.Authentication]: (interactionToken, channel) => actions_1.ssoActions.consumeAuthenticationRequest(interactionToken, channel),
    [types_1.InteractionType.CredentialRequest]: (interactionToken, channel) => actions_1.ssoActions.consumeCredentialRequest(interactionToken, channel),
    [types_1.InteractionType.CredentialOfferRequest]: (interactionToken, channel) => actions_1.ssoActions.consumeCredentialOfferRequest(interactionToken, channel),
    [types_1.InteractionType.PaymentRequest]: (interactionToken, isDeepLinkInteraction) => actions_1.ssoActions.consumePaymentRequest(interactionToken, isDeepLinkInteraction),
};
