"use strict";
/**
 * This file contains polyfills for various things that are somehow coupled
 * with react-native. This is meant to be used as a polyfill for running the
 * backendMiddleware and redux store under node
 */
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const backendMiddleware_1 = require("./backendMiddleware");
const redux_1 = require("redux");
const redux_thunk_1 = tslib_1.__importDefault(require("redux-thunk"));
const reducers_1 = require("./reducers");
const originalORMConfig = tslib_1.__importStar(require("./ormconfig"));
const config_1 = tslib_1.__importDefault(require("./config"));
const ormconfig = Object.assign(Object.assign({}, originalORMConfig), { 
    // change type to 'sqlite' instead of 'react-native'
    type: 'sqlite', database: 'db.sqlite3' });
function initStore() {
    const bemwConfig = config_1.default;
    // @ts-ignore
    bemwConfig.typeOrmConfig = ormconfig;
    // instantiate the storage backend
    const backendMiddleware = new backendMiddleware_1.BackendMiddleware(bemwConfig);
    const store = Object.assign(Object.assign({}, redux_1.createStore(reducers_1.rootReducer, {}, redux_1.applyMiddleware(redux_thunk_1.default.withExtraArgument(backendMiddleware)))), { backendMiddleware });
    return store;
}
exports.initStore = initStore;
