"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const fs_1 = require("fs");
const path_1 = tslib_1.__importDefault(require("path"));
// from src/lib/keychain.ts
class KeyChain {
    constructor() {
        this.pass = null;
    }
    getPassword() {
        return tslib_1.__awaiter(this, void 0, void 0, function* () {
            if (this.pass != null)
                return this.pass;
            try {
                this.pass = fs_1.readFileSync(KeyChain.PASSWORD_LOCATION).toString();
            }
            catch (err) {
                console.error('Error reading password file', err, '\n\n');
                throw err;
            }
            return this.pass;
        });
    }
    savePassword(pass) {
        return tslib_1.__awaiter(this, void 0, void 0, function* () {
            console.log('KEYCHAIN SAVED PASSWORD: ', pass);
            this.pass = pass;
            fs_1.writeFileSync(KeyChain.PASSWORD_LOCATION, pass);
        });
    }
}
exports.KeyChain = KeyChain;
KeyChain.PASSWORD_LOCATION = path_1.default.resolve(`${__dirname}/../local_identity.password.txt`);
